#!/bin/bash

tag=5.0.1

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/bevry/taskgroup.git
cd taskgroup
git archive --prefix="" --format=tar tags/v${tag} source/test.js source/test \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
git archive --prefix="" --format=tar tags/v${tag} docs \
    | bzip2 > "$pwd"/docs-${tag}.tar.bz2
popd
