%{?nodejs_find_provides_and_requires}

%global packagename taskgroup
%global enable_tests 0

Name: nodejs-%{packagename}
Version: 5.0.1
Release: 1%{?dist}.3
Summary: Group together synchronous and asynchronous tasks
License: MIT
URL: https://github.com/bevry/taskgroup
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source2: docs-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(ambi) >= 2.5.0
BuildRequires: npm(ambi) < 3.0.0
BuildRequires: npm(eachr) >= 3.2.0
BuildRequires: npm(eachr) < 4.0.0
BuildRequires: npm(editions) >= 1.1.1
BuildRequires: npm(editions) < 2.0.0
BuildRequires: npm(extendr) >= 3.2.0
BuildRequires: npm(extendr) < 4.0.0
%if 0%{?enable_tests}
BuildRequires: npm(assert-helpers) >= 4.4.0
BuildRequires: npm(assert-helpers) < 5.0.0
BuildRequires: npm(joe) >= 1.8.0
BuildRequires: npm(joe) < 2.0.0
BuildRequires: npm(safeps) >= 6.3.0
BuildRequires: npm(safeps) < 7.0.0
%endif

%description
Group together synchronous and asynchronous tasks and execute them
with support for concurrency, naming, and nesting.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js es2015 source \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
node --harmony -e "require('editions').requirePackage(process.cwd(), require, 'test.js')"
%endif


%files
%license LICENSE.md
%doc README.md HISTORY.md docs
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 25 2016 Oleg Girko <ol@infoserver.lv> - 5.0.1-1
- Initial package.
